package cz.jzitnik.game.entities.items.registry.blocks.grassy;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.logic.services.farmable.FarmableData;

@MineSound(SoundKey.GRASS)
@PlaceSound(SoundKey.GRASS)
@WalkSound(SoundKey.GRASS_WALKING)
@MiningSound(SoundKey.GRASS_MINING)
@Farmable("wheat")
@PlaceOnSolidNoHandler
@ResetDataOnMine
@ResetSpriteStateOnMine
@BlockRegistry(value = "wheat", drops = "wheat_seeds")
public class WheatBlock extends Block {
    public WheatBlock() {
        super("wheat", SpriteLoader.SPRITES.WHEAT, 0);
        setData(new FarmableData());
        setGhost(true);
    }
}
